module.exports = {
	"env": {
		"browser": true,
		"node": true,
		"es6": true
	},
	"extends": [
		"eslint:recommended",
		"plugin:vue/recommended"
	],
	"globals": {
		"Atomics": "readonly",
		"SharedArrayBuffer": "readonly",
	},
	"parserOptions": {
		"parser": "babel-eslint",
		"ecmaVersion": 2018,
		"sourceType": "module"
	},
	"plugins": [
		"vue",
	],
	"rules": {
		//Generic Project Rules
		"indent": ["error", 4],
		"linebreak-style": [
			"error",
			"unix"
		],
		"quotes": [
			"error",
			"single"
		],
		"semi": [
			"error",
			"always"
		],
		"no-multi-spaces": [
			"error"
		],
		"no-useless-escape": 0,
		"no-console": [
			"error",
			{
				allow: ["warn", "error"]
			}
		],

		// Vue Specific Rules
		"vue/max-attributes-per-line": "off",
		"vue/html-indent": ["error", 4, {
			"attribute": 1,
			"baseIndent": 1,
			"closeBracket": 0,
			"alignAttributesVertically": false,
			"ignores": []
		}],
		"vue/multiline-html-element-content-newline": "off",
		"vue/singleline-html-element-content-newline": "off",
		"vue/array-bracket-spacing": "on",
		"vue/no-duplicate-attributes": "off",
		"vue/html-closing-bracket-newline": "off",
		"vue/html-quotes": "double",
		"vue/html-self-closing": "off",
		"vue/require-default-prop": "off",
		"vue/require-prop-types": "off",
		"vue/attributes-order": "off",
		"vue/order-in-components": ["error", {
			"order": [
				"el",
				"name",
				"parent",
				"functional",
				["delimiters", "comments"],
				["props", "propsData"],
				["components", "directives", "filters"],
				"extends",
				"mixins",
				"inheritAttrs",
				"model",
				"fetch",
				"asyncData",
				"data",
				"methods",
				"computed",
				"watch",
				"LIFECYCLE_HOOKS",
				"head",
				["template", "render"],
				"renderError"
			]
		}]


	}
};